> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skyfire.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent's Wallet Balance

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "skyfire-agent-and-token-apis",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.skyfire.xyz"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "skyfire-api-key",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/api/v1/agents/balance": {
      "get": {
        "summary": "Get Agent's Wallet Balance",
        "description": "",
        "operationId": "get-agents-wallet-balance",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"available\": \"0.316285\",\n    \"heldAmount\": \"0\",\n    \"pendingCharges\": \"0\",\n    \"pendingDeposits\": \"0.013001\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "available": {
                      "type": "string",
                      "example": "0.316285"
                    },
                    "heldAmount": {
                      "type": "string",
                      "example": "0"
                    },
                    "pendingCharges": {
                      "type": "string",
                      "example": "0"
                    },
                    "pendingDeposits": {
                      "type": "string",
                      "example": "0.013001"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location 'https://api.skyfire.xyz/api/v1/agents/balance' \\\n--header 'skyfire-api-key: 1fd8543f-0fc6-4f80-9b6e-08d9eecbbdf0' \\\n--header 'Content-Type: application/json'"
            },
            {
              "language": "node",
              "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'api.skyfire.xyz',\n  'path': '/api/v1/agents/balance',\n  'headers': {\n    'skyfire-api-key': '1fd8543f-0fc6-4f80-9b6e-08d9eecbbdf0',\n    'Content-Type': 'application/json'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();"
            },
            {
              "language": "python",
              "code": "import http.client\nimport json\n\nconn = http.client.HTTPSConnection(\"api.skyfire.xyz\")\npayload = ''\nheaders = {\n  'skyfire-api-key': '1fd8543f-0fc6-4f80-9b6e-08d9eecbbdf0',\n  'Content-Type': 'application/json'\n}\nconn.request(\"GET\", \"/api/v1/agents/balance\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))"
            }
          ],
          "samples-languages": [
            "curl",
            "node",
            "python"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "skyfire-api-key",
        "value": "<Your Skyfire Agent Account API Key>"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```